This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### shearY()
Examples |
    size(100, 100);
    translate(width/4, height/4);
    shearY(PI/4.0);
    rect(0, 0, 30, 30);
Description | Shears a shape around the y-axis the amount specified by the angle parameter. Angles should be specified in radians (values from 0 to PI*2) or converted to radians with the radians() function. Objects are always sheared around their relative position to the origin and positive numbers shear objects in a clockwise direction. Transformations apply to everything that happens after and subsequent calls to the function accumulates the effect. For example, calling shearY(PI/2) and then shearY(PI/2) is the same as shearY(PI). If shearY() is called within the draw(), the transformation is reset when the loop begins again. Technically, shearY() multiplies the current transformation matrix by a rotation matrix. This function can be further controlled by the pushMatrix() and popMatrix() functions.
Syntax |
    shearY(angle)
Parameters |
angle | float: angle of shear specified in radians
Returns | void
Related | popMatrix() pushMatrix() shearX() scale() translate() radians()

Updated on October 26, 2013 08:58:32pm PDT